using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using FarPoint.Win.Spread;

namespace FPointTest
{
    public partial class Form1 : Form
    {
        private List<string> customFieldsList = new List<string>();

        public Form1()
        {
            InitializeComponent();

            //Initialize the custom fields            
            customFieldsList.AddRange(new string[] { "PublishedBy", "PublishedOn", "WIFolder", "Branch", "IRCost", "JobType", "MessageNo", "MoveHours", "Notes",
            "PayPointCode","QueueHours","Supplier","TaskNumber","TimeBasis","TypeOpCode" });

            //Add the custom fields to the spread
            this.InitializeOpListSheet();
        }

        private void InitializeOpListSheet()
        {
            //Add the custom field columns for process
            int curColIndex = this.spreadOpList.ActiveSheet.Columns.Count;
            int cfIndex = 0;
            this.spreadOpList.ActiveSheet.Columns.Add(curColIndex, this.customFieldsList.Count);
            for (int i = curColIndex; i < (curColIndex + customFieldsList.Count); i++)
            {
                string curField = customFieldsList[cfIndex];

                Column newColumn = this.spreadOpList.ActiveSheet.Columns[i];
                newColumn.Label = curField;
                newColumn.Tag = curField;
                newColumn.Width = newColumn.GetPreferredWidth() + 5;

                cfIndex++;
            }
        }


        private void btnManual_Click(object sender, EventArgs e)
        {
            try
            {
                this.spreadOpList.ActiveSheet.MoveColumn(31, 28, true);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString(), "Error",  MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}